Package org.eclipse.cdt.core.model

# Interface IInclude

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `ICElement`, `ISourceManipulation`, `ISourceReference`

public interface IInclude extends ICElement, ISourceReference, ISourceManipulation
Represents an include declaration in a C translation unit.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.model.ICElement

`ASM_LABEL, C_ARCHIVE, C_BINARY, C_CCONTAINER, C_CLASS, C_CLASS_CTOR, C_CLASS_DECLARATION, C_CLASS_DTOR, C_ENUMERATION, C_ENUMERATOR, C_FIELD, C_FUNCTION, C_FUNCTION_DECLARATION, C_INCLUDE, C_MACRO, C_METHOD, C_METHOD_DECLARATION, C_MODEL, C_NAMESPACE, C_PRAGMA, C_PROJECT, C_STORAGE_EXTERN, C_STORAGE_STATIC, C_STRUCT, C_STRUCT_DECLARATION, C_TEMPLATE_CLASS, C_TEMPLATE_CLASS_DECLARATION, C_TEMPLATE_FUNCTION, C_TEMPLATE_FUNCTION_DECLARATION, C_TEMPLATE_METHOD, C_TEMPLATE_METHOD_DECLARATION, C_TEMPLATE_STRUCT, C_TEMPLATE_STRUCT_DECLARATION, C_TEMPLATE_UNION, C_TEMPLATE_UNION_DECLARATION, C_TEMPLATE_VARIABLE, C_TYPEDEF, C_UNION, C_UNION_DECLARATION, C_UNIT, C_UNKNOWN_DECLARATION, C_USING, C_VARIABLE, C_VARIABLE_DECLARATION, C_VARIABLE_LOCAL, C_VCONTAINER, CPP_FRIEND, CPP_PRIVATE, CPP_PROTECTED, CPP_PUBLIC, EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullFileName()`
`String`
`getIncludeName()`
Returns the name that of the included file.
`boolean`
`isLocal()`
The inverse of `isStandard()`
`boolean`
`isResolved()`
`boolean`
`isStandard()`
Returns whether the included was search on "standard places" like /usr/include first .

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.model.ICElement

`accept, exists, getAncestor, getCModel, getCProject, getElementName, getElementType, getHandleIdentifier, getLocationURI, getParent, getPath, getResource, getUnderlyingResource, isReadOnly, isStructureKnown`

### Methods inherited from interface org.eclipse.cdt.core.model.ISourceManipulation

`copy, delete, move, rename`

### Methods inherited from interface org.eclipse.cdt.core.model.ISourceReference

`getIndex, getSource, getSourceRange, getTranslationUnit, isActive`

## Method Details

### getIncludeName

String getIncludeName()
Returns the name that of the included file. For example, for the statement `#include <stdio.h>`, this returns `"stdio.h"`.

### isStandard

boolean isStandard()
Returns whether the included was search on "standard places" like /usr/include first . An include is standard if it starts with `'<'`. For example, `#include <stdio.h>` returns `true` and `#include "foobar.h"` returns `false`.

### isLocal

boolean isLocal()
The inverse of `isStandard()`

### getFullFileName

String getFullFileName()

### isResolved

boolean isResolved()

Returns:
  whether this include directive was resolved and followed.